
  MEMBER


   Include('StringClass.inc'),ONCE


  Map
  End


!=============================

StringCompare.Construct          Procedure

   Code

!=============================

StringCompare.Destruct           Procedure

   Code

!=============================

!StringCompare.CompareFirstChar    Procedure(String pStringField, Long pLongField)!,Byte
StringCompare.CompareFirstChar    Procedure(? pStringField, ? pLongField)!,Byte
strField  String(256)
lngField  String(256)
RetVal    Byte

         CODE
 strField = pStringField                  ! cast to strings
 lngField = pLongField
! strField = Left(pStringField)               ! cast to strings
! lngField = LEFT(pLongField)                 ! ignoring leading spaces 
 If Len(Clip(strField)) = Len(Clip(lngField)) ! must be same length
   If strField[1] = lngField[1]
     RetVal = True
   Else
     RetVal = False
   End
 Else
  RetVal = False
 End
 Clear(pStringField)
 Clear(pLongField)
 Return Retval

!=============================

StringCompare.Huns            Procedure(Long pCode) !,Long

         CODE
 Return ( INT(pCode/100) * 100 )

!=============================

StringCompare.GetFirstChar      Procedure(? pCode) !,String
LOC:String  String(256)
RetVal      String(1)

        CODE
 LOC:String = pCode
 RetVal = LOC:String[1]
 Clear(LOC:String)
 Return RetVal

!=============================

StringCompare.ReplaceText  Procedure(STRING pOldStr, STRING pNewStr, STRING pText) !,String
    ! Replaces all occurencies of pOldStr in pText with pNewStr
X   LONG,Auto

       Code
 Loop
   X = STRPOS(pText,pOldStr,True) 
   If X
     pText = pText[1 : X-1] & Clip(pNewStr) & pText[X + LEN(Clip(pOldStr)) : LEN(Clip(pText))]
   Else
     BREAK
   End
 End

 RETURN(pText)

!=============================

StringCompare.MultiReplaceText  Procedure(STRING pOldStr, STRING pNewStr, STRING pText) !,String
    ! Replaces all occurencies of pOldStr in pText with pNewStr
X   LONG,Auto
Y   Long,Auto
L   Long,Auto

       Code
 Y = 1
 L = Len(Clip(pOldStr)) 
 Loop
    !X = STRPOS(pText,pOldStr,True)
    X = Instring(UPPER(Clip(pOldStr)),Upper(pText),1,Y)
    If X = 0
      Break
    Else
       pText = pText[1 : X-1] & Clip(pNewStr) & pText[X + LEN(Clip(pOldStr)) : LEN(Clip(pText))]
       Y = X + L
    End
 End

 RETURN(pText)

!=============================

StringCompare.Num2String        Procedure(? pNumber)  !,String
NumIn  String(50)

    Code
 NumIn = pNumber
 Return NumIn

!=============================

StringCompare.GetFirstNonBlank  Procedure(? pStringIn)  !,String
LOC:String  String(256)
RetVal      String(1)

        CODE
 LOC:String = Left(pStringIn)
 RetVal = LOC:String[1]
 Clear(LOC:String)
 Return RetVal

!=============================

StringCompare.CompareHuns       Procedure(? pLeftField, ? pRightField) !,Byte
RetVal Byte
        CODE
! If (INT(pLeftField/100) * 100 ) = (INT(pRightField/100) * 100 )
 If Self.Huns(pLeftField) = Self.Huns(pRightField)
   RetVal = True !Return True
 Else
   RetVal = False !Return False
 End
 RETURN RetVal 

!=============================

StringCompare.CLen              Procedure(String pString)

  Code

 Return Len(Clip(pString))

!=============================

StringCompare.AddQuotes		Procedure(? V)	!,String

  Code

 If IsString(V)
   Return '<39>' & Clip(V) & '<39>'
 Else
   Return Clip(V)
 End

!=============================

