

   MEMBER('ReplaceText.clw')                               ! This is a MEMBER module


   INCLUDE('ABTOOLBA.INC'),ONCE
   INCLUDE('ABWINDOW.INC'),ONCE

                     MAP
                       INCLUDE('REPLACETEXT001.INC'),ONCE        !Local module procedure declarations
                     END


!!! <summary>
!!! Generated from procedure template - Window
!!! </summary>
Main PROCEDURE 

StringField          STRING(4)                             !
QuoteString          STRING(20)                            !
L                    LONG                                  !
Huns                 LONG                                  !
SFirstChar           STRING(1)                             !
FirstChar            STRING(1)                             !
Replace              STRING(20)                            !
With                 STRING(20)                            !
In                   STRING(256)                           !
StringFromNum        STRING(20)                            !
N4Format             STRING(20)                            !
FirstNonBlank        STRING(1)                             !
LongField            LONG                                  !
Hundreds             LONG                                  !
FirstCharSame        BYTE                                  !
HunsSame             BYTE                                  !
EnhancedFocusManager EnhancedFocusClassType
Window               WINDOW('SHP String Class Tester: ReplaceText'),AT(,,212,171),FONT('Microsoft Sans Serif',10, |
  ,FONT:regular,CHARSET:DEFAULT),ICON('checkon.ico'),GRAY,IMM
                       PROMPT('Replace:'),AT(9,11),USE(?Replace:Prompt)
                       ENTRY(@s20),AT(42,11,60,10),USE(Replace),FLAT
                       PROMPT('With:'),AT(20,28),USE(?With:Prompt)
                       ENTRY(@s20),AT(42,28,60,10),USE(With),FLAT
                       TEXT,AT(20,48,172,66),USE(In)
                       PROMPT('In:'),AT(9,46),USE(?PROMPT1)
                       PROMPT('String Length:'),AT(144,120),USE(?L:Prompt),RIGHT
                       ENTRY(@n-14b),AT(146,128,39,10),USE(L),RIGHT(1),FLAT,READONLY,SKIP,TRN
                       BUTTON('&Replace (StrPos)'),AT(27,124,47,14),USE(?Replace:2),FONT(,8)
                       BUTTON('&Replace (Instring)'),AT(84,124,47,14),USE(?Replace:Instr),FONT(,8),ICON('<255,1>')
                       BUTTON('&Close'),AT(82,149,47,14),USE(?Close),LEFT,ICON('WIZOK.ICO'),STD(STD:Close)
                     END

ThisWindow           CLASS(WindowManager)
Init                   PROCEDURE(),BYTE,PROC,DERIVED
Kill                   PROCEDURE(),BYTE,PROC,DERIVED
TakeAccepted           PROCEDURE(),BYTE,PROC,DERIVED
TakeEvent              PROCEDURE(),BYTE,PROC,DERIVED
                     END

Toolbar              ToolbarClass

  CODE
  GlobalResponse = ThisWindow.Run()                        ! Opens the window and starts an Accept Loop

!---------------------------------------------------------------------------
DefineListboxStyle ROUTINE
!|
!| This routine create all the styles to be shared in this window
!| It`s called after the window open
!|
!---------------------------------------------------------------------------

ThisWindow.Init PROCEDURE

ReturnValue          BYTE,AUTO

  CODE
  GlobalErrors.SetProcedureName('Main')
  SELF.Request = GlobalRequest                             ! Store the incoming request
  ReturnValue = PARENT.Init()
  IF ReturnValue THEN RETURN ReturnValue.
  SELF.FirstField = ?Replace:Prompt
  SELF.VCRRequest &= VCRRequest
  SELF.Errors &= GlobalErrors                              ! Set this windows ErrorManager to the global ErrorManager
  SELF.AddItem(Toolbar)
  CLEAR(GlobalRequest)                                     ! Clear GlobalRequest after storing locally
  CLEAR(GlobalResponse)
  SELF.Open(Window)                                        ! Open window
  Do DefineListboxStyle
  INIMgr.Fetch('Main',Window)                              ! Restore window settings from non-volatile store
  SELF.SetAlerts()
  EnhancedFocusManager.Init(1,10813439,0,0,10813439,0,65535,0,2,65535,0,1,8421504,'',8)
  RETURN ReturnValue


ThisWindow.Kill PROCEDURE

ReturnValue          BYTE,AUTO

  CODE
  ReturnValue = PARENT.Kill()
  IF ReturnValue THEN RETURN ReturnValue.
  IF SELF.Opened
    INIMgr.Update('Main',Window)                           ! Save window data to non-volatile store
  END
  GlobalErrors.SetProcedureName
  RETURN ReturnValue


ThisWindow.TakeAccepted PROCEDURE

ReturnValue          BYTE,AUTO

Looped BYTE
  CODE
  LOOP                                                     ! This method receive all EVENT:Accepted's
    IF Looped
      RETURN Level:Notify
    ELSE
      Looped = 1
    END
    CASE ACCEPTED()
    OF ?Replace:2
      ! code originally posted by Peter Hermansen 
      If Replace and With
        In = sCompare.ReplaceText(Replace,With,In)
        L = sCompare.CLen(In)
        ThisWindow.Reset(1)
      END
    OF ?Replace:Instr
      If Replace and With
        In = sCompare.MultiReplaceText(Replace,With,In)
        L = sCompare.CLen(In)
        ThisWindow.Reset(1)
      END
    OF ?Close
       POST(EVENT:CloseWindow)
    END
  ReturnValue = PARENT.TakeAccepted()
    RETURN ReturnValue
  END
  ReturnValue = Level:Fatal
  RETURN ReturnValue


ThisWindow.TakeEvent PROCEDURE

ReturnValue          BYTE,AUTO

Looped BYTE
  CODE
  LOOP                                                     ! This method receives all events
    IF Looped
      RETURN Level:Notify
    ELSE
      Looped = 1
    END
  EnhancedFocusManager.TakeEvent()
  ReturnValue = PARENT.TakeEvent()
    RETURN ReturnValue
  END
  ReturnValue = Level:Fatal
  RETURN ReturnValue

